
  <div
    class="row"
    *ngIf = !isReady() >

    <div id="container" class="card  mt-3  mx-auto" >
      <div class="card-header macarteHeader"><h3>Options</h3></div>
      <form id="quizOptionsForm" [formGroup]="quizOptionsForm" (ngSubmit)="onSubmitOptions()">
        <div class="card-body">
          <ul class="list-group list-group-flush">
            <li class="list-group-item">
              <span class="fichesDispos">{{hasTag().length}} fiches selectionnées </span>
            </li>
          <li class="list-group-item">
          <app-tags
            [modif]="false"
            [tags]="[]"
            (tagsChanged)="onTagsChangedRecherche($event)">
          </app-tags>
          </li>
            <li class="list-group-item">

              <div class="input-group mb-3">
                <div class="input-group-prepend">
                  <span class="input-group-text">Nombre de questions:</span>
                </div>
                <select class="form-control nbQuestions" id="nbQuestions"  formControlName="nbQuestions">
                  <option value=5>5</option>
                  <option value=10>10</option>
                </select>
              </div>
            </li>
          </ul>
        </div>

      <div class="card-footer">
        <p>{{errorMessageOption}}</p>
        <button id="btnQuiz" type="button" class="btn btn-lg btn-block btn-outline-primary" type="submit"  [disabled]="quizOptionsForm.invalid">Lancer le quiz </button>
      </div>
      </form>
    </div>
  </div>

  <div
    *ngIf = isReady()
    class="row">
      <div  *ngIf =!isFini() class="card  mt-3  mx-auto ">
        <form  class="form-group"  id="quizQuestionsForm" [formGroup]="quizQuestionsForm"  (ngSubmit)="onSubmitQuestion()">
        <h1 class="card-header">{{questions[indexCourant].mot}}</h1>
        <div class="card-body">
          <h6 class="card-subtitle text-muted">Question numéro {{indexCourant+1}}/{{nbQuestions}}</h6>
        </div>
        <div class="card-body">
          <ul class="list-group list-group-flush card-link form-check"
              *ngFor='let choixa of choix'>
            <li class="list-group-item form-check-label">
              <label >
                <input type="radio"
                       formControlName="radioReponse"
                       class="form-check-input "
                       [value]= "choixa"
                       (change)= "onSelectionChange(choixa)"> {{choixa}}</label>
            </li>
          </ul>
        </div>
        <div class="card-footer text-muted">
          <button class="btn btn-lg btn-block" *ngIf="resteQuestions()"> Soumettre</button>
          <button class="btn btn-lg btn-block" *ngIf="!resteQuestions()"> Terminer Quizz</button>
        </div>
        </form>
      </div>

    <div class="card  mt-3  mx-auto macarte"
         *ngIf="isFini()">
      <h1 class="card-header">Vos Réponses</h1>
      <div class="card-body">
        <ul class="list-group list-group-flush card-link">
          <li class="list-group-item form-check-label"
              *ngFor='let question of questions'
              [ngStyle]="{'background-color': question.reussi()? '#b7ffcd' : '#ffbd87'}">
            <h3>{{question.mot}}</h3>  <p> {{question.reponse}}</p>

        </ul>
      </div>
    </div>
  </div>

